Skip to content
View as Markdown

POST Save SMS Settings​

POST
/campaign-pro-settings/sms

Save SMS module settings including the provider selection and credentials. When enabling SMS, all required provider fields must be filled. If enabling for the first time, runs the SMS database migration. Saves credentials for all configured providers.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"settings": {
"enabled": "string",
"sms_provider": "string",
"additionalProperties": "string"
}
}

Responses​

SMS settings saved successfully.

application/json
JSON
{
"message": "string",
"reload": true
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI